Sparx Systems Forum

Enterprise Architect => Bugs and Issues => Topic started by: rgiovanardi on January 24, 2020, 10:58:14 pm

Title: EA Viewer Linux can't connect to Cloud with Wine 5
Post by: rgiovanardi on January 24, 2020, 10:58:14 pm
Hi everybody, I'm reporting a problem with just released Wine 5.

I have EAlite/viewer version 14.1 Build 1428 and I run it from 18.04.3 LTS (GNU/Linux 4.15.0-66-generic x86_64). No problem with Wine 4: all run fine. But some days ago Wine has released version 5 as stable through its repo (repository ppa:wine/wine-builds, noted on https://sparxsystems.com/enterprise_architect_user_guide/14.0/product_information/enterprise_architect_linux.html) and just after updating it I can no more access on Cloud Connection: as soon i try to access to a remote Cloud Connection I got a window with following error:

Code: [Select]
The program EA.exe has encountered a serious problem and need to close. We are sorry for the inconvenience.

This can be caused by a problem in the program or a deficiency in Wine. You may want to check the Application Database for tips about running this application.

following the initial dump output:
Code: [Select]
Unhandled exception: page fault on read access to 0x00000000 in 32-bit code (0x0eaf6acc).
Register dump:
 CS:0023 SS:002b DS:002b ES:002b FS:0063 GS:006b
 EIP:0eaf6acc ESP:0448ad14 EBP:0448ada8 EFLAGS:00010216(  R- --  I   -A-P- )
 EAX:00000000 EBX:0c285dc8 ECX:1102ade4 EDX:0c285dd0
 ESI:0c285dc8 EDI:10c54dd8

How can I to solve that?

Thanks in advance,
Roberto
Title: Re: EA Viewer Linux can't connect to Cloud with Wine 5
Post by: qwerty on January 25, 2020, 09:12:36 pm
No idea, but likely you should go with a wine version being explicitely mentioned to be working. I guess it's some 64 bit weirdness. I once got it working with some wine version, but it felt odd in some way. So I prefer to have a Windoze VM (under Parallels) which keeps the djinn in his bottle ;-)

q.